| Home | Libraries | People | FAQ | More

## Type definition failure_handler

failure_handler — Type of assertion failure handler functions (without `from` parameter).

## Synopsis

    // In header: <boost/contract/core/exception.hpp>

    typedef boost::function< void()> failure_handler;

## Description

Assertion failure handler functions specified by this type must be nullary functors returning `void`. For example, this is used to specify contract failure handlers for implementation checks.

See Also:

Throw on Failure